<!DOCTYPE html>
<html>

<head>
    <title>TODO supply a title</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <script src="js/request.js"></script>
    <script src="js/origen.js"></script>
    <script>
        function callDelete(obj) {
            var ID = obj.getAttribute('data-bs-id');
            deleteOrigin(ID);
        }

        window.onload = function () {
            loadOrigin();

            var modal = document.getElementById('deleteModal')

            modal.addEventListener('show.bs.modal', function (event) {

                var button = event.relatedTarget;
                var ID = button.getAttribute('data-bs-id');

                var modalButton = modal.querySelector('#btnDelete');
                modalButton.setAttribute('data-bs-id', ID);

                var spanId = modal.querySelector('#idOrigen');
                spanId.innerHTML = ID;

            });
        }
    </script>

    <!-- Importar CSS de bootstrap-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">

    <!-- Importar iconos de bootstrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">

</head>

<body>

    <header class="container">

        <nav class="navbar navbar-expand-lg bg-dark navbar-dark">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">
                    <img src="images/viaje a tu medida.png" alt="Logo" height="30"
                        class="d-inline-block align-text-top">
                    Viaje a tu Medida
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" aria-current="page" href="index.html">Inicio</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="vuelo.html">Vuelo</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="ciudad.html">Ciudad</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link active" href="origen.html">Origen</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="destino.html">Destino</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="compania.html">Compañia</a>
                        </li>

                    </ul>

                    <span class="ms-auto">
                        <a href="#" class="btn btn-primary">
                            Iniciar sesión
                        </a>
                    </span>
                </div>


            </div>
        </nav>

    </header>

    <section class="container">

        <div class="row">

            <div class=" col-6">
                <br>
                <h3>Tabla Origen</h3>
                <a href="agregarOrigen.html " class="btn btn-primary">
                    Agregar Origen
                </a>
            </div>

            <div class="row mt-4">

                <table class="table table-striped table-hover table-bordered">
                    <thead>
                        <tr class="table-primary">
                            <th>ID</th>
                            <th>Ciudad</th>
                            <th>Accion</th>
                            
                        </tr>
                    </thead>
                    <tbody id="content-table">

                    </tbody>
                </table>

            </div>

        </div>


        <!-- Modal -->
        <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Eliminar</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        ¿Está seguro que quiere eliminar este origen? ID: <span id="idOrigen"></span>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                        <button type="button" id="btnDelete" data-bs-id="" class="btn btn-danger"
                            data-bs-dismiss="modal" onclick="callDelete(this)"><i
                                class="bi bi-trash"></i>Eliminar</button>
                    </div>
                </div>
            </div>
        </div>

    </section>

    <footer class="container">

    </footer>

    <!-- Importar JS de bootstrap-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-u1OknCvxWvY5kfmNBILK2hRnQC3Pr17a+RTT6rIHI7NnikvbZlHgTPOOmMi466C8" crossorigin="anonymous">
    </script>

</body>

</html>